IBM DB2 'Exceptional Conditions' Buffer Overflow Vulnerability (Linux)

Information

Severity

Severity

Low

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

3.6

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:L/Au:N/C:N/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

4 years ago

Modified

Modified

3 years ago

Summary

This host is running IBM DB2 and is prone to buffer overflow vulnerability.

Insight

Insight

The falws exists due to an improper Handling of Exceptional Conditions.

Affected Software

Affected Software

IBM DB2 versions 9.7 before FP11, IBM DB2 versions 10.1 before FP6, IBM DB2 versions 10.5 before FP8 and IBM DB2 versions 11.1 before 11.1.2 FP2

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Apply the appropriate fix

Common Vulnerabilities and Exposures (CVE)

Get started for free to scan for vulnerabilities

Companies of all sizes use Mageni to scan their assets for vulnerabilities. Mageni is free for 7-days then $39 monthly regardless of how many IPs, scans, deployments or users you have. Cancel at Anytime and 7-days Money-Back Guarantee. Developed and supported by certified CompTIA PenTest+ professionals. Mageni contributes 1% of your subscription to removing CO₂ from the atmosphere.

Get Started For Free
App screenshot